// COPYRIGHT 


#ifndef KPP_COMMAND_LOADHRP2_H
#define KPP_COMMAND_LOADHRP2_H

/*****************************************
 INCLUDES
*******************************************/

#include <iostream>

#include "kppInterfaceWalk/kppInterfaceWalk.h"

#include "KineoController/kppCommand.h"

KIT_PREDEF_CLASS( CkppCommandLoadHRP2 );

/*****************************************
 CLASS
*******************************************/

class CkppCommandLoadHRP2 : public CkppCommand
{

public:

	enum EParameters
	{
		PARAMETER_COUNT
	};

	static CkppCommandLoadHRP2ShPtr create(CkppInterfaceWalk *kpp);

	static CkppCommandLoadHRP2ShPtr createCopy(const CkppCommandLoadHRP2ConstShPtr& i_command);

	virtual ~CkppCommandLoadHRP2();

	virtual ktStatus doExecute();

	virtual bool	isUndoable() const;

	virtual CkppCommandShPtr clone() const;

	virtual unsigned int	countParameters() const;

	virtual CkppParameterConstShPtr	parameter(unsigned int i_rank) const;

protected:

	CkppCommandLoadHRP2(CkppInterfaceWalk *kpp);

	CkppCommandLoadHRP2(const CkppCommandLoadHRP2& i_command);

	ktStatus init(const CkppCommandLoadHRP2WkPtr& i_weakPtr);

private:

	CkppCommandLoadHRP2WkPtr m_weakPtr;

	CkppInterfaceWalk *attKpp;

};

#endif
